[Bro] error when generating documentation

Siwek, Jonathan Luke jsiwek at illinois.edu
Wed Sep 25 15:02:06 PDT 2013


On Sep 25, 2013, at 4:22 PM, Michal Purzynski <michal at rsbac.org> wrote:

> Hello, that's on the 2.2-beta on OS X
> 
> make doc results in the following error
> 
> Failed to document '@load base/protocols/ssl' in file: 
> policy^protocols^ssl^expiring-certs.rst
> error in 
> /Users/mpurzynski/Downloads/bro-2.2-beta/scripts/policy/protocols/ssl/expiring-certs.bro, 
> line 5: can't open 
> /Users/mpurzynski/Downloads/bro-2.2-beta/scripts/base/protocols/ssl/__load__.bro

Try raising `ulimit -n`, the shell limit for max number of open files (and I've already got a pending change to improve the error message for this case).

- Jon



More information about the Bro mailing list